Project Chrono: chrono::vehicle::WheeledTrailer Class Reference

Public Member Functions | List of all members
chrono::vehicle::WheeledTrailer Class Reference
VEHICLE module » Wheeled vehicles

## Description

Wheeled trailer model constructed from a JSON specification file.

`#include <WheeledTrailer.h>`

Inheritance diagram for chrono::vehicle::WheeledTrailer:
[legend]
Collaboration diagram for chrono::vehicle::WheeledTrailer:
[legend]

## Public Member Functions
| WheeledTrailer (ChSystem *system, const std::string &filename, bool create_tires=true)
| Create a wheeld trailer system from the provided JSON specification file.
virtual unsigned int | GetNumberAxles () const override
| Return the number of axles for this trailer.
virtual void | Initialize (std::shared_ptr< ChChassis > frontChassis) override
| Initialize this trailer relative to the specified front chassis.
Public Member Functions inherited from chrono::vehicle::ChWheeledTrailer
virtual | ~ChWheeledTrailer ()
| Destructor.
const std::string & | GetName () const
| Get the name identifier for this vehicle.
void | SetName (const std::string &name)
| Set the name identifier for this vehicle.
virtual std::string | GetTemplateName () const
| Get the name of the trailer system template.
std::shared_ptr< ChChassisRear > | GetChassis () const
| Get the trailer chassis subsystem.
const chrono::vehicle::ChAxleList & | GetAxles () const
| Get all trailer axle subsystems.
std::shared_ptr< chrono::vehicle::ChAxle > | GetAxle (int id) const
| Get the specified trailer axle subsystem.
void | SetChassisVisualizationType (VisualizationType vis)
| Set visualization mode for the chassis subsystem.
void | SetSuspensionVisualizationType (VisualizationType vis)
| Set visualization type for the suspension subsystems.
void | SetWheelVisualizationType (VisualizationType vis)
| Set visualization type for the wheel subsystems.
void | SetTireVisualizationType (VisualizationType vis)
| Set visualization type for the tire subsystems.
void | InitializeTire (std::shared_ptr< ChTire > tire, std::shared_ptr< ChWheel > wheel, VisualizationType tire_vis=VisualizationType::PRIMITIVES, ChTire::CollisionType tire_coll=ChTire::CollisionType::SINGLE_POINT)
| Initialize the given tire and attach it to the specified wheel.
void | Synchronize (double time, const DriverInputs &driver_inputs, const ChTerrain &terrain)
| Update the state of this trailer at the current time.
void | Advance (double step)
| Advance the state of this trailer by the specified time step.

## Additional Inherited Members
Protected Member Functions inherited from chrono::vehicle::ChWheeledTrailer
| ChWheeledTrailer (const std::string &name, ChSystem *system)
| Construct a trailer system using the specified ChSystem.
Protected Attributes inherited from chrono::vehicle::ChWheeledTrailer
std::string | m_name
| trailer system name
std::shared_ptr< ChChassisRear > | m_chassis
| trailer chassis
std::shared_ptr< ChChassisConnectorHitch > | m_connector
| connector to pulling vehicle
chrono::vehicle::ChAxleList | m_axles
| list of axle subsystems

## Constructor & Destructor Documentation

## ◆ WheeledTrailer()

chrono::vehicle::WheeledTrailer::WheeledTrailer | ( | ChSystem * | system,
|  | const std::string & | filename,
|  | bool | create_tires = true )

Create a wheeld trailer system from the provided JSON specification file.

If indicated, the associated tires are also created (if specified in the JSON file).

## Member Function Documentation

## ◆ GetNumberAxles()

virtual unsigned int chrono::vehicle::WheeledTrailer::GetNumberAxles | ( |  | ) | const
| inlineoverridevirtual

Return the number of axles for this trailer.

Implements chrono::vehicle::ChWheeledTrailer.

## ◆ Initialize()

void chrono::vehicle::WheeledTrailer::Initialize | ( | std::shared_ptr< ChChassis > | frontChassis | ) |
| overridevirtual

Initialize this trailer relative to the specified front chassis.

This base class implementation only initializes the trailer chassis and connector subsystems. Derived classes must extend this function to initialize the axle subsystems.

Reimplemented from chrono::vehicle::ChWheeledTrailer.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/wheeled_vehicle/vehicle/WheeledTrailer.h
- D:/W/B/src/chrono-9.0.1/src/chrono_vehicle/wheeled_vehicle/vehicle/WheeledTrailer.cpp